org.jbpm.kie.services.impl.bpmn2.builder.dialect.java

## Class DataServiceJavaProcessDialect

- java.lang.Object
- - org.jbpm.process.builder.dialect.java.JavaProcessDialect
  - - org.jbpm.kie.services.impl.bpmn2.builder.dialect.java.DataServiceJavaProcessDialect

- All Implemented Interfaces:
    ProcessDialect

      public class DataServiceJavaProcessDialect
      extends JavaProcessDialect

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataServiceJavaProcessDialect()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcess(ProcessBuildContext context)`
    `ActionBuilder` | `getActionBuilder()`
    `ProcessClassBuilder` | `getProcessClassBuilder()`
    `ReturnValueEvaluatorBuilder` | `getReturnValueEvaluatorBuilder()`

    - ### Methods inherited from class org.jbpm.process.builder.dialect.java.JavaProcessDialect

      `getAssignmentBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataServiceJavaProcessDialect

          public DataServiceJavaProcessDialect()

  - ### Method Detail

    - #### addProcess

          public void addProcess(ProcessBuildContext context)

      Specified by:
        `addProcess` in interface `ProcessDialect`
      Overrides:
        `addProcess` in class `JavaProcessDialect`

    - #### getActionBuilder

          public ActionBuilder getActionBuilder()

      Specified by:
        `getActionBuilder` in interface `ProcessDialect`
      Overrides:
        `getActionBuilder` in class `JavaProcessDialect`

    - #### getProcessClassBuilder

          public ProcessClassBuilder getProcessClassBuilder()

      Specified by:
        `getProcessClassBuilder` in interface `ProcessDialect`
      Overrides:
        `getProcessClassBuilder` in class `JavaProcessDialect`

    - #### getReturnValueEvaluatorBuilder

          public ReturnValueEvaluatorBuilder getReturnValueEvaluatorBuilder()

      Specified by:
        `getReturnValueEvaluatorBuilder` in interface `ProcessDialect`
      Overrides:
        `getReturnValueEvaluatorBuilder` in class `JavaProcessDialect`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.